#include <cstdlib>
#include <iostream>
#include <fstream>

int main( int argc, char* argv[] ) {
   using namespace std;
   locale::global( locale( "" ) );
   if( argc != 3 ) 
      cout << "Запуск:  " << argv[ 0 ] << " FROM-файл TO-файл" << endl, exit( EXIT_FAILURE );
   ifstream from( argv[ 1 ] );
   if( !from )
      cout << "Не открывается входной файл " << argv[ 1 ] << endl, exit( EXIT_FAILURE ); 
   ofstream to( argv[ 2 ] );
   if( !to )
      cout << "Не открывается выходной файл " << argv[ 2 ] << endl, exit( EXIT_FAILURE ); 
   char ch;
   while( from.get( ch ) ) to.put( ch ); 
   if( !from.eof() || !to )
      cout << "Получилось что-то странное!" << endl, exit( EXIT_FAILURE ); 
   to.close();
   exit( EXIT_SUCCESS );
}
